### Enumeration

# ECal ObjModType

since: 3.8

#### Declaration

    flags ECal.ObjModType

#### Description [src]

Indicates the type of modification made to a calendar.

Available since: 3.8

#### Members

`E_CAL_OBJ_MOD_THIS`

  Modify this component.

  - Value: `1`
  - Available since: 3.8
`E_CAL_OBJ_MOD_THIS_AND_PRIOR`

  Modify this component and all prior occurrances.

  - Value: `2`
  - Available since: 3.8
`E_CAL_OBJ_MOD_THIS_AND_FUTURE`

  Modify this component and all future occurrances.

  - Value: `4`
  - Available since: 3.8
`E_CAL_OBJ_MOD_ALL`

  Modify all occurrances of this component.

  - Value: `7`
  - Available since: 3.8
`E_CAL_OBJ_MOD_ONLY_THIS`

  Modify only this component.

  - Value: `8`
  - Available since: 3.8